Package picard.analysis.artifacts

## Class SequencingArtifactMetrics

- java.lang.Object
- - picard.analysis.artifacts.SequencingArtifactMetrics

-     public class SequencingArtifactMetrics
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SequencingArtifactMetrics.BaitBiasDetailMetrics` | Bait bias artifacts broken down by context.
    `static class` | `SequencingArtifactMetrics.BaitBiasSummaryMetrics` | Summary analysis of a single bait bias artifact, also known as a reference bias artifact.
    `static class` | `SequencingArtifactMetrics.PreAdapterDetailMetrics` | Pre-adapter artifacts broken down by context.
    `static class` | `SequencingArtifactMetrics.PreAdapterSummaryMetrics` | Summary analysis of a single pre-adapter artifact.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BAIT_BIAS_DETAILS_EXT` |
    `static String` | `BAIT_BIAS_SUMMARY_EXT` |
    `static String` | `ERROR_SUMMARY_EXT` |
    `static String` | `PRE_ADAPTER_DETAILS_EXT` |
    `static String` | `PRE_ADAPTER_SUMMARY_EXT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SequencingArtifactMetrics()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRE_ADAPTER_SUMMARY_EXT

          public static final String PRE_ADAPTER_SUMMARY_EXT

      See Also:
        Constant Field Values

    - #### PRE_ADAPTER_DETAILS_EXT

          public static final String PRE_ADAPTER_DETAILS_EXT

      See Also:
        Constant Field Values

    - #### BAIT_BIAS_SUMMARY_EXT

          public static final String BAIT_BIAS_SUMMARY_EXT

      See Also:
        Constant Field Values

    - #### BAIT_BIAS_DETAILS_EXT

          public static final String BAIT_BIAS_DETAILS_EXT

      See Also:
        Constant Field Values

    - #### ERROR_SUMMARY_EXT

          public static final String ERROR_SUMMARY_EXT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SequencingArtifactMetrics

          public SequencingArtifactMetrics()